Last Comment Bug 555105 - SMTP pref dialog should say Port Standard: 587 - not 25
: SMTP pref dialog should say Port Standard: 587 - not 25
Status: VERIFIED FIXED
: polish
Product: MailNews Core
Classification: Components
Component: Account Manager (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Thunderbird 11.0
Assigned To: :aceman
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-25 17:03 PDT by Ben Bucksch (:BenB)
Modified: 2012-02-23 08:05 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, showing both ports (3.34 KB, patch)
2011-11-13 13:05 PST, :aceman
ben.bucksch: review-
Details | Diff | Splinter Review
patch, changing 25 to 587 (881 bytes, patch)
2011-11-14 11:36 PST, :aceman
standard8: review+
mozilla: review+
ben.bucksch: review+
Details | Diff | Splinter Review

Description Ben Bucksch (:BenB) 2010-03-25 17:03:45 PDT
RFC 4409 says that SMTP servers used for mail submission (i.e. the way *we* use SMTP, in contrast to server->server communication) should use port 587 and authentication.

Based on the ISP configs I created, almost all ISPs (IIRC all I saw apart from libero.it) support port 587 nowadays.

So, given that Port 587 is now the official standard port, and it's broadly supported, I think we should show that as default now - both as label and as default value.

Only problem may be when there a server does not support port 587. Maybe even an intranet server.

Screenshots:
https://bug554404.bugzilla.mozilla.org/attachment.cgi?id=434295
https://bug554404.bugzilla.mozilla.org/attachment.cgi?id=434509
Comment 1 Mark Banner (:standard8, limited time in Dec) 2010-03-26 00:21:53 PDT
I've just tried my provider - it appears port 587 is NOT available.

Its unclear exactly what you're thinking of changing - I think it is fine to change the default as long as we leave all existing users on their current ports (or have an extremely reliable method of detect and fallback so that we don't get the issues with smtp secure auth like we got in the 2 -> 3 upgrade).
Comment 2 Ben Bucksch (:BenB) 2010-03-26 00:34:54 PDT
> I've just tried my provider - it appears port 587 is NOT available.

Which one is that? Do we have it in our ISPDB?

As said:
wget -m https://live.mozillamessaging.com/autoconfig/
rm *jp (would screw numbers heavily)
grep -i "port>587<" *|wc -l
54
grep -i "port>25<" *|wc -l
2

> I think it is fine to change the default as long as we leave all
> existing users on their current ports

That's what I'm proposing, yes. This change should be only about the SMTP server edit pref dialog, not about the account creation wizard (which already defaults to port 587), nor about existing accounts.
Comment 3 Mark Banner (:standard8, limited time in Dec) 2010-03-26 01:18:35 PDT
(In reply to comment #2)
> > I've just tried my provider - it appears port 587 is NOT available.
> 
> Which one is that? Do we have it in our ISPDB?

plus.net, and it isn't in ISPDB because they use subdomains (i.e. <username>.plus.com) and hence autocofig doesn't support it.

My point was although ISPDB only has one provider that doesn't support port 587 that doesn't mean there are plenty of others not in ISPDB.

Although I think that generally promoting the new port doesn't hurt anyway.
Comment 4 Ben Bucksch (:BenB) 2010-03-26 01:35:23 PDT
Ah, OK.
Comment 5 John 2010-05-18 08:59:53 PDT
Port 25 in Thunderbird and Windows 7.
Have just set up a computer with Win7 at home and ran into the port 25 issue.
Spent two days trying to resolve it. Had my pc at work and still had my old
pc at home as comparisons on settings.
Resolved the issue last night with Win7 after following many suggestions here
and all over the internet, none of which worked.
The port wasn't the issue! The IP address was. My IP address was showing "mail.comcast.net", which is correct for incoming, but I kept changing the
port numbers and the SSL, etc.
Win7 apparently does not supply the prefix of SMTP to the IP address in
contacting the IP. Once I noticed the IP address(!), I changed the address to
"smtp.comcast.net" (without the quotation marks), the port automatically
changed to 25, Clicked on the "No" button to the 'encryption' (SSL, etc.)
doo-dads, and the email I had been working with, trying to send, suddenly
processed, a window popped up asking for my password, I entered it and off
went the email! Duhh!
I know it got through because I received a reply this morning!
Hope this helps anyone working with Win7.
Comment 6 Ben Bucksch (:BenB) 2010-05-18 09:42:14 PDT
> The port wasn't the issue!

So, please don't post it in a bug which is about the port only.
Comment 7 Ben Bucksch (:BenB) 2010-05-18 09:44:06 PDT
FWIW: https://live.mozillamessaging.com/autoconfig/v1.1/comcast.net
Comment 8 John 2010-05-18 14:36:03 PDT
Right.
Point of view is everything.
I'll also unmembership myself.
OK?
Comment 9 :aceman 2011-11-13 12:12:22 PST
(In reply to John from comment #8)
> Right.
> Point of view is everything.
> I'll also unmembership myself.
> OK?

No need to feel offended.
Comment 10 :aceman 2011-11-13 13:05:39 PST
Created attachment 574176 [details] [diff] [review]
patch, showing both ports

What about showing both ports like this? I haven't seen port 587 used on the main webmail providers in our country. Maybe is works but are not advertised in official manuals.
Comment 11 Ben Bucksch (:BenB) 2011-11-13 15:24:20 PST
Comment on attachment 574176 [details] [diff] [review]
patch, showing both ports

This bug is about changing it to 587, not suggesting both.

*If* we were to suggest both, we'd could just do
const DEFAULT_SMTP_PORT = "587 (25)";
and achieve the same as with your patch, as far as I understand it.
Comment 12 :aceman 2011-11-14 00:12:07 PST
That would not work, as the same string is set as the initial value of the pref.

I think showing both suggestions would help more people.
I'll change to one as you wish.
Comment 13 Ben Bucksch (:BenB) 2011-11-14 04:25:56 PST
Yes, I would prefer to show only 587 as "default" port, because that's the official standard and supported by the majority of ISPs. People can still change it to 25 based on instructions from their ISP or whatever.

Note that this doesn't affect the configuration wizard for the first setup (we would find the right port automatically there), only people who specifically change their settings.
Comment 14 :aceman 2011-11-14 11:36:18 PST
Created attachment 574360 [details] [diff] [review]
patch, changing 25 to 587
Comment 15 Mark Banner (:standard8, limited time in Dec) 2011-11-24 04:29:00 PST
Comment on attachment 574360 [details] [diff] [review]
patch, changing 25 to 587

Ok, I *think* this is fine. The code always seems to set the value in preferences regardless of it is default or not.

I do wonder if we shouldn't change other default ports as well, e.g.:

http://mxr.mozilla.org/comm-central/source/mailnews/compose/public/nsISmtpUrl.idl#106

but then I'm a bit concerned about older versions of Thunderbird not having a default set, and messing up people's configurations.

Therefore I'd like David to take a look at this as well and get his opinion.
Comment 16 :aceman 2011-11-26 06:05:59 PST
Is BenB's r+ enough? Or do we need still need David's review?
Comment 17 Ludovic Hirlimann [:Usul] 2011-12-08 07:27:18 PST
(In reply to :aceman from comment #16)
> Is BenB's r+ enough? Or do we need still need David's review?

You'll need david's review too.
Comment 18 Philip Prindeville 2011-12-09 12:51:15 PST
Ship it!
Comment 19 David :Bienvenu 2011-12-10 09:45:37 PST
Comment on attachment 574360 [details] [diff] [review]
patch, changing 25 to 587

I think this is the right thing to do, and only affects editing of the ssl setting, so it shouldn't break any existing profiles.
Comment 20 Mark Banner (:standard8, limited time in Dec) 2011-12-13 05:49:42 PST
Checked in: http://hg.mozilla.org/comm-central/rev/bcf4d6cb5341

Note You need to log in before you can comment on or make changes to this bug.